All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculations.percent
Interface PercentCalculationsSelectorDataSourceInterface

All Known Implementing Classes:
  PercentCalculationsSelectorDataSource, PercentCalculationsSelectorOLAPDataSource

    @SASScope(value="ALL")
    public interface PercentCalculationsSelectorDataSourceInterface

Defines the model-type-specific methods and properties required by the adapter of the PercentCalculationsSelector.

The PercentCalculationsSelectorInterface adapter implements the logic related to the business rules for the selector and delegates all the model based operations to its dataSource object

Since:
  3.1.4
See Also:
  `PercentCalculationsSelectorInterface`, `PercentCalculationsSelector`, `PercentCalculationsSelectorPanel`

Method Summary
`abstract void` | `addItem(FractionalItemInfo itemInfo)` Adds a new fractional item with the information specified by the FractionalItemInfo argument.
`abstract void` | `commit()` Commits the new set of fractional items to the model.
`abstract java.util.Map` | `getDenominators()` Returns a map where the keys are the denominator ids and the the values are the denominator labels.
`abstract java.util.List` | `getFractionalItems()` Returns a list of `FractionalItemInfo` objects representing the current set of fractional items.
`abstract java.util.Locale` | `getLocale()` Returns the locale
`abstract java.util.Map` | `getNumerators()` Returns a map where the keys are the numerator ids and the the values are the numerator labels.
`abstract boolean` | `isOLAP()` Returns true if this data source is OLAP based.
`abstract void` | `removeAllItems()` Removes all the fractional items from the datasource.
`abstract void` | `removeItem(FractionalItemInfo itemInfo)` Removes the item associated with the specified FractionalItemInfo.
`abstract void` | `setLocale(java.util.Locale locale)` Sets the locale
`abstract void` | `updateItem(FractionalItemInfo existingItemInfo, FractionalItemInfo newItemInfo)` Updates the item associated with the existingItemInfo argument with information from the newItemInfo argument.

Method Detail

### isOLAP

    boolean isOLAP()

  Returns true if this data source is OLAP based.

  Returns:
    TRUE if the data source is OLAP based

### getNumerators

    java.util.Map getNumerators()

  Returns a map where the keys are the numerator ids and the the values are the numerator labels.

  Returns:
    the map of numerator ids and labels.

### getDenominators

    java.util.Map getDenominators()

  Returns a map where the keys are the denominator ids and the the values are the denominator labels.

  Returns:
    the map of denominator ids and labels.

### getFractionalItems

    java.util.List getFractionalItems()

  Returns a list of `FractionalItemInfo` objects representing the current set of fractional items.

  Returns:
    a list of FractionalItemInfo objects representing the current set of fractional items.

### removeItem

    void removeItem(FractionalItemInfo itemInfo)

  Removes the item associated with the specified FractionalItemInfo.

  Parameters:
    `itemInfo` - the information about the item to be removed.
  Throws:
    `Throws` - `RuntimeException` if operation fails.

### addItem

    void addItem(FractionalItemInfo itemInfo)

  Adds a new fractional item with the information specified by the FractionalItemInfo argument.

  Parameters:
    `itemInfo` - the information about the new fractional item.
  Throws:
    `Throws` - `RuntimeException` if operation fails.

### updateItem

    void updateItem(FractionalItemInfo existingItemInfo,
                    FractionalItemInfo newItemInfo)

  Updates the item associated with the existingItemInfo argument with information from the newItemInfo argument.

  Parameters:
    `existingItemInfo` - information about the existing item.
    `newItemInfo` - information to apply to the updated version of the item.
  Throws:
    `Throws` - `RuntimeException` if operation fails.

### removeAllItems

    void removeAllItems()

  Removes all the fractional items from the datasource.

  Throws:
    `Throws` - `RuntimeException` if operation fails.

### commit

    void commit()

  Commits the new set of fractional items to the model.

  Throws:
    `Throws` - `RuntimeException` if operation fails.

### setLocale

    void setLocale(java.util.Locale locale)

  Sets the locale

  Parameters:
    `locale` - The locale.

### getLocale

    java.util.Locale getLocale()

  Returns the locale

  Returns:
    The locale.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.